Add attendees to an existing training event.

View as Markdown
Add one or more attendees to the training's attendees list. An invitation will be sent to each email address specified inviting them to join the NGC external user group. If workbenches have already been created, new workbench simulations will be created immediately for the added attendees. Not allowed after the training's `sim_end_time` has passed. **Required roles (all):** `air_instructor`, `air_org_admin`, `user_admin` **Additional permissions:** - Only the instructor who created this training may perform this action. - The client must have the NCA 'Administrator' role set in the NCA account associated with the NGC Organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this training.

Request

This endpoint expects an object.
attendeeslist of stringsOptional

List of attendee email addresses to add to the training. At most 200 attendees may be added per request; split larger additions across multiple requests. Emails are case-insensitive and duplicates are not permitted.

Response

No response body

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error